export declare class FileSystem {
    static isDirectory(pathname: string): Promise<any>;
    static isFile(pathname: string): Promise<any>;
    static getStat(pathname: string): Promise<any>;
    static exists(pathname: string): Promise<any>;
    static mkdir(pathname: string): Promise<any>;
    static getDir(pathname: string): Promise<any>;
    /**
     * 获取服务器上的文件内容
     * 该接口不处理权限控制，如果需要鉴权，需要另外包一层处理。
     * @param { string } filename 文件路径名称
     * @param { "utf8" | "base64" | "json" } encode 文件编码方式
     * @returns Promise<string>
     */
    static readFile(filename: string, encode?: "utf8" | "base64" | "json" | "buffer"): Promise<any>;
    /**
     * 写入文件
     * @param { string } filename 文件路径名称
     * @param { string | Object } content 文件内容
     * @param { "utf8" | "base64" | "json" } encode 文件编码
     */
    static writeFile(filename: string, content: string | Object, encode?: "utf8" | "base64" | "json"): Promise<any>;
}
