import { WebController } from "../../Web";
export declare class FileSystemController extends WebController {
    /**
     * 判断是不是目录
     * @get {string} pathname
     */
    isDirectoryAction(): Promise<void>;
    /**
     * 判断是不是文件
     * @get {string} pathname
     */
    isFileAction(): Promise<void>;
    /**
     * 文件信息获取
     * @get {string} pathname:string
     */
    getStatAction(): Promise<void>;
    /**
     * 核对内容是否存在
     * @get {string} pathname:string
     */
    existsAction(): Promise<void>;
    /**
     * 创建目录
     * @get {string} pathname:string
     */
    mkdirAction(): Promise<void>;
    /**
     * 获取dir列表
     * @get {string} pathname:string
     */
    getDirAction(): Promise<void>;
    /**
     * 读取文件
     * @get {string} filename:string
     * @get {buffer|base64|utf8} encode:
     */
    readFileAction(): Promise<void>;
    /**
     * 写入文件
     * @post {string} filename:string
     * @post {utf8|json|buffer} encode
     * utf8代表string类型，编码方式utf8
     * 如果encode为json，则写入的时候，将会使用json序列化一下
     * @post content
     */
    writeFileAction(): Promise<void>;
}
