import * as Express from "express";
export declare class WebServer {
    private httpServer;
    private httpsServer;
    private app;
    private router;
    private staticRootPath;
    private CONFIG;
    /**
     * 进行应用配置
     * @param config
     */
    initCONFIG(): void;
    /**
     * 挂载该Web服务器的router点
     * @param router
     */
    setRouter(router: any): this;
    /**
     * 配置其它自定义中间件
     */
    useMiddleware(handler: Express.RequestHandler | Express.ErrorRequestHandler | Express.NextFunction | any): this;
    /**
     * 关闭该web服务器
     */
    close(): void;
    bootstrap(): Promise<this>;
    /**
     * 配置项目根路径
     */
    private setStaticServerRootPath;
    /**
     * 处理退出时的事件
     */
    private setCloseHandle;
    /**
     * 异常事件注册
     */
    private bindErrorEventHandler;
    private startup;
    private listenHTTP;
    private listenHTTPS;
    /**
     * 中间件配置
     * 注意：执行顺序对应用的影响
     */
    private initMiddleware;
}
